# Function selectMaybeOne

- selectMaybeOne(
  tbl: string,
  where: Where,
  selectopts?: SelectOptions,
  ): Promise<Row | null>

  Select one record or null if no records

  #### Parameters

  - tbl: string

    table name

  - where: Where

    where object

  - `Optional` selectopts: SelectOptions = {}

    select options

  #### Returns Promise<Row | null>

  - null if no record or first record data
  - Defined in sqlite/sqlite.ts:348